Subject: [PATCH 2/2] ARM: OMAP2+: Remove legacy booting support for Pandora

From: [email-masked] (Tony Lindgren)
Date: Thu, 16 Jul 2015 09:26:16 -0700

* Grazvydas Ignotas <[email-masked]> [150716 07:16]:
> Hi,
> 
> On Thu, Jul 16, 2015 at 2:59 PM, Tony Lindgren <[email-masked]> wrote:
> > We've been moving all omap2+ based systems to boot in device tree only
> > mode for a few years now. Only omap3 has legacy booting support
> > remaining. Most omap3 boards already have related arch/arm/boot/*.dts*
> > files for booting with device tree.
> >
> > This board has support for device tree based booting, and we've been
> > printing warnings about the legacy booting being deprecated for a
> > few merge cycles now. Let's attempt to remove the legacy booting
> > for it.
> >
> > The reason for removing the legacy booting support now rather than
> > later is we can simply revert this patch if necessary if we run
> > into some unexpected issues that are not trivial to fix for the
> > device tree based booting.
> 
> It seems we lose wifi, backlight, audio and usb host mainline support
> with this as pandora's .dts currently lacks all that stuff.
> That said I'm not aware of any mainline users (everyone seems to be on
> our "vendor" kernel), so maybe we can add those later.

Hmm wifi should be easy, isn't that just libertas_sdio?

> > Cc: Signed-off-by: Grazvydas Ignotas <[email-masked]>
> 
> I have not signed this off...

Oops sorry I copied your email address from git log.